function select_item (recid) {
	ssbcallback ("select", recid);
}

window.ITEM_COUNT = -1;
window.ITEM_SZ = 280;

$(function() {
	window.onresize = function () {
		var sz = 280;
		if (document.width < 320) sz = 170;
		if (window.ITEM_SZ != sz) window.ITEM_COUNT = -1;
	
		var ic =  Math.floor(document.width / sz);
		if (window.ITEM_COUNT != ic) {
			var ul = document.getElementById("ul-list");
			if (ul) {
				ul.style.width = (ic * sz) + "px";
				window.ITEM_COUNT = ic;
				window.ITEM_SZ = sz;
			}
		}
	}
	window.onssbmessage = function (cmd, arg) {
	if (cmd == "updated") {
			update_list ();
		}
		else if (cmd == "selected") {
			$(".item").each (function () {
				var $e = $(this);
				for (var i = 0; i < arg.length; i++) {
					if ($e.data ("recid") == arg[i]) {
						$e.addClass ("selected");
						break;
					}
					else $e.removeClass ("selected");
				}
			});
		}
	};
				
	function update_list () {
		ssbevent_lock();
		$.getJSON ("ssb-json://localhost/allEntries.json", function (data) {
						 $("#list").template ("#my-template", data);
							 window.ITEM_COUNT = -1;
							 window.onresize();
							 
							 ssbevent_unlock();
	   });
	}
});

